Coin: SoViewportRegionElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SoViewportRegionElement Class Reference
Element Classes

The SoViewportRegionElement class is yet to be documented. More...

`#include <Inventor/elements/SoViewportRegionElement.h>`

Inheritance diagram for SoViewportRegionElement:

## Public Member Functions
virtual void | init (SoState *state)
virtual SbBool | matches (const SoElement *element) const
| FIXME: write doc.
virtual SoElement * | copyMatchInfo () const
| FIXME: write doc.
virtual void | print (FILE *file) const
| FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, const SbViewportRegion &viewportRegion)
| FIXME: write doc.
static const SbViewportRegion & | get (SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoViewportRegionElement ()
virtual void | setElt (const SbViewportRegion &viewportRegion)
| FIXME: write doc.
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Protected Attributes
SbViewportRegion | viewportRegion
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoViewportRegionElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoViewportRegionElement()

SoViewportRegionElement::~SoViewportRegionElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoViewportRegionElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoViewportRegionElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoViewportRegionElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoViewportRegionElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoViewportRegionElement::init | ( | SoState * | state | ) |
| virtual

This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoElement.

Reimplemented in SoGLViewportRegionElement.

## ◆ matches()

SbBool SoViewportRegionElement::matches | ( | const SoElement * | element | ) | const
| virtual

FIXME: write doc.

Implements SoElement.

## ◆ copyMatchInfo()

SoElement * SoViewportRegionElement::copyMatchInfo | ( | void |  | ) | const
| virtual

FIXME: write doc.

Implements SoElement.

## ◆ print()

void SoViewportRegionElement::print | ( | FILE * | file | ) | const
| virtual

FIXME: write doc.

Reimplemented from SoElement.

## ◆ setElt()

void SoViewportRegionElement::setElt | ( | const SbViewportRegion & | viewportRegion | ) |
| protectedvirtual

FIXME: write doc.

Reimplemented in SoGLViewportRegionElement.

## Member Data Documentation

## ◆ viewportRegion

SbViewportRegion SoViewportRegionElement::viewportRegion
| protected

FIXME: write doc.

The documentation for this class was generated from the following files:

- SoViewportRegionElement.h
- SoViewportRegionElement.cpp